## API Report File for "@fluentui/react-avatar"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { Button } from '@fluentui/react-button';
import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import { PopoverSurface } from '@fluentui/react-popover';
import { PresenceBadge } from '@fluentui/react-badge';
import * as React_2 from 'react';
import type { Slot } from '@fluentui/react-utilities';
import type { SlotClassNames } from '@fluentui/react-utilities';
import { TooltipProps } from '@fluentui/react-tooltip';

// @public (undocumented)
export const Avatar: ForwardRefComponent<AvatarProps>;

// @public (undocumented)
export const avatarClassNames: SlotClassNames<AvatarSlots>;

// @public
export const AvatarGroup: ForwardRefComponent<AvatarGroupProps>;

// @public (undocumented)
export const avatarGroupClassNames: SlotClassNames<AvatarGroupSlots>;

// @public
export const AvatarGroupItem: ForwardRefComponent<AvatarGroupItemProps>;

// @public (undocumented)
export const avatarGroupItemClassNames: SlotClassNames<AvatarGroupItemSlots>;

// @public
export type AvatarGroupItemProps = ComponentProps<AvatarGroupItemSlots> & {};

// @public (undocumented)
export type AvatarGroupItemSlots = {
    root: Slot<'div'>;
};

// @public
export type AvatarGroupItemState = ComponentState<AvatarGroupItemSlots>;

// @public
export type AvatarGroupProps = ComponentProps<AvatarGroupSlots> & {
    layout?: 'spread' | 'stack' | 'pie';
    maxAvatars?: number;
    overflowIndicator?: 'number-overflowed' | 'icon';
    size?: AvatarSizes;
    strings?: AvatarGroupStrings;
};

// @public (undocumented)
export type AvatarGroupSlots = {
    root: Slot<'div'>;
    popoverTrigger?: Slot<typeof Button>;
    popoverSurface?: Slot<typeof PopoverSurface>;
};

// @public
export type AvatarGroupState = ComponentState<AvatarGroupSlots> & {
    tooltipContent: TooltipProps['content'];
};

// @public
export type AvatarNamedColor = 'dark-red' | 'cranberry' | 'red' | 'pumpkin' | 'peach' | 'marigold' | 'gold' | 'brass' | 'brown' | 'forest' | 'seafoam' | 'dark-green' | 'light-teal' | 'teal' | 'steel' | 'blue' | 'royal-blue' | 'cornflower' | 'navy' | 'lavender' | 'purple' | 'grape' | 'lilac' | 'pink' | 'magenta' | 'plum' | 'beige' | 'mink' | 'platinum' | 'anchor';

// @public
export type AvatarProps = Omit<ComponentProps<AvatarSlots>, 'color'> & {
    active?: 'active' | 'inactive' | 'unset';
    activeAppearance?: 'ring' | 'shadow' | 'ring-shadow';
    color?: 'neutral' | 'brand' | 'colorful' | AvatarNamedColor;
    idForColor?: string | undefined;
    name?: string;
    shape?: 'circular' | 'square';
    size?: AvatarSizes;
};

// @public
export type AvatarSizes = 16 | 20 | 24 | 28 | 32 | 36 | 40 | 48 | 56 | 64 | 72 | 96 | 120 | 128;

// @public (undocumented)
export type AvatarSlots = {
    root: Slot<'span'>;
    image?: Slot<'img'>;
    initials?: Slot<'span'>;
    icon?: Slot<'span'>;
    badge?: Slot<typeof PresenceBadge>;
};

// @public
export type AvatarState = ComponentState<AvatarSlots> & Required<Pick<AvatarProps, 'active' | 'activeAppearance' | 'shape' | 'size'>> & {
    color: NonNullable<Exclude<AvatarProps['color'], 'colorful'>>;
};

// @public
export function getInitials(displayName: string | undefined | null, isRtl: boolean, options?: {
    allowPhoneInitials?: boolean;
    firstInitialOnly?: boolean;
}): string;

// @public (undocumented)
export const renderAvatar_unstable: (state: AvatarState) => JSX.Element;

// @public
export const renderAvatarGroup_unstable: (state: AvatarGroupState) => JSX.Element;

// @public
export const renderAvatarGroupItem_unstable: (state: AvatarGroupItemState) => JSX.Element;

// @public (undocumented)
export const useAvatar_unstable: (props: AvatarProps, ref: React_2.Ref<HTMLElement>) => AvatarState;

// @public
export const useAvatarGroup_unstable: (props: AvatarGroupProps, ref: React_2.Ref<HTMLElement>) => AvatarGroupState;

// @public
export const useAvatarGroupItem_unstable: (props: AvatarGroupItemProps, ref: React_2.Ref<HTMLElement>) => AvatarGroupItemState;

// @public
export const useAvatarGroupItemStyles_unstable: (state: AvatarGroupItemState) => AvatarGroupItemState;

// @public
export const useAvatarGroupStyles_unstable: (state: AvatarGroupState) => AvatarGroupState;

// @public (undocumented)
export const useAvatarStyles_unstable: (state: AvatarState) => AvatarState;

// (No @packageDocumentation comment for this package)

```
